Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
lawsuit
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/lawsuit \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "550e8400-e29b-41d4-a716-446655440001"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your key in the Authorization header: Authorization: ApiKey YOUR-API-KEY

Path Parameters

companyId
string<uuid>
required

Company identifier

eventId
string<uuid>
required

Event identifier

Body

application/json
caseNumber
string

Court case number

caseName
string

Name of the case

lawsuitFiledDate
string<date-time>

Date lawsuit was filed (ISO 8601)

suitServedDate
string<date-time>

Date suit was served (ISO 8601)

trialDate
string<date-time>

Scheduled trial date (ISO 8601)

venueName
string

Name of the court venue

venueAddress
object

Address of the court venue

judgeName
string

Name of the presiding judge

plaintiffs
string[]

List of plaintiff names

plaintiffAttorneyId
string<uuid>

Attorney representing the plaintiff (must reference an existing attorney)

plaintiffLawFirmId
string<uuid>

Law firm representing the plaintiff (must reference an existing payee)

plaintiffAddress
object

Address of the plaintiff

settlementDemand
string

Settlement demand amount

settlementType
string

Settlement type code (S=Settlement, N=No Settlement, L=Litigated, C=Closed)

arbitrationInvolved
string

Whether arbitration is involved (Yes/No)

dateDefenseCounselAdded
string<date-time>

Date defense counsel was added (ISO 8601)

expertDefense
string

Defense expert information

expertPlaintiff
string

Plaintiff expert information

declaratoryJudgementFiledDate
string<date-time>

Date declaratory judgement was filed (ISO 8601)

Response

Lawsuit created

id
string<uuid>

The created lawsuit identifier